Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class AbstractJavadocOptionFileOption<T>

    java.lang.Object
      org.gradle.external.javadoc.optionfile.AbstractJavadocOptionFileOption<T>

All Implemented Interfaces:
  JavadocOptionFileOption<T>, OptionLessJavadocOptionFileOption<T>

Direct Known Subclasses:
  AbstractListJavadocOptionFileOption, BooleanJavadocOptionFileOption, EnumJavadocOptionFileOption, FileJavadocOptionFileOption, GroupsJavadocOptionFileOption, LinksOfflineJavadocOptionFileOption, StringJavadocOptionFileOption, TagsJavadocOptionFileOption

    public abstract class AbstractJavadocOptionFileOption<T>

extends java.lang.Object
implements JavadocOptionFileOption<T>

Field Summary
`protected java.lang.String` | `option`
`protected T` | `value`

Constructor Summary
`protected` | `AbstractJavadocOptionFileOption(java.lang.String option)`
`protected` | `AbstractJavadocOptionFileOption(java.lang.String option, T value)`

Method Summary
`java.lang.String` | `getOption()`
`T` | `getValue()`
`void` | `setValue(T value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gradle.external.javadoc.optionfile.OptionLessJavadocOptionFileOption
`write`

Field Detail

### option

    protected final java.lang.String option

### value

    protected T value

Constructor Detail

### AbstractJavadocOptionFileOption

    protected AbstractJavadocOptionFileOption(java.lang.String option)

### AbstractJavadocOptionFileOption

    protected AbstractJavadocOptionFileOption(java.lang.String option,
                                              T value)

Method Detail

### getOption

    public final java.lang.String getOption()

  Specified by:
    `getOption` in interface `JavadocOptionFileOption<T>`

### getValue

    public T getValue()

  Specified by:
    `getValue` in interface `OptionLessJavadocOptionFileOption<T>`

### setValue

    public void setValue(T value)

  Specified by:
    `setValue` in interface `OptionLessJavadocOptionFileOption<T>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD